org.vishia.gral.base

## Class GralCurveView.ZbnfSetTrack

- java.lang.Object
- - org.vishia.gral.base.GralCurveView.ZbnfSetTrack

- Enclosing class:
    GralCurveView

      public static class GralCurveView.ZbnfSetTrack
      extends java.lang.Object

  Instances of this class were be created only temporary while transfer a parse result of `GralCurveView.applySettings(String)` The instance holds values for `ZbnfJavaOutput` to apply to a track calling `GralCurveView.addTrack(String, String, GralColor, int, int, float, float)` inside `GralCurveView.ZbnfSetCurve#add_Track(ZbnfSetTrack)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralColor` | `color_` Color and style from Zbnf component with semantic
    `java.lang.String` | `datapath` From Zbnf component with semantic
    `java.lang.String` | `name` From Zbnf component with semantic
    `int` | `nullLine` From Zbnf component with semantic
    `float` | `offset` From Zbnf component with semantic
    `float` | `scale` From Zbnf component with semantic
    `(package private) int` | `style_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZbnfSetTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set_color(java.lang.String color)` From Zbnf component with semantic

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      From Zbnf component with semantic .

    - #### datapath

          public java.lang.String datapath

      From Zbnf component with semantic .

    - #### color_

          GralColor color_

      Color and style from Zbnf component with semantic .

    - #### style_

          int style_

    - #### nullLine

          public int nullLine

      From Zbnf component with semantic .

    - #### scale

          public float scale

      From Zbnf component with semantic .

    - #### offset

          public float offset

      From Zbnf component with semantic .

  - ### Constructor Detail

    - #### ZbnfSetTrack

          public ZbnfSetTrack()

  - ### Method Detail

    - #### set_color

          public void set_color(java.lang.String color)

      From Zbnf component with semantic .